Subject: Re: "shouted down", "shot down", apologies
From: Tak Ota <[email-masked]>
To: [email-masked]
Date: Wed, 27 Jun 2001 13:42:13 -0700 (PDT)

Applause...

I've been quietly observing the arguments with some nervous feeling.
I now feel much better as being a part of this list.

-Tak

On Wed, 27 Jun 2001 16:16:30 -0400, Christopher Faylor <[email-masked]> wrote:

> I have been concerned by two recent messages where people have felt
> that their ideas have been "shouted down" or "shot down".
> 
> That bothers me.  It bothers me because I assume that most, if not
> all of the negative perception undoubtedly came from me.
> 
> I do have some strong opinions on how some things should be done.  For
> instance, I think that overloading a FAQ with excessive information is
> counter productive.
> 
> I also feel that the majority of "newbie" requests here do not come from
> people who have exhaustively studied available documentation.
> 
> So, filling the FAQ with non-frequently asked questions does not seem like
> the way to go to me.  It seems like it will make the FAQ harder to navigate
> and will make it easier for people to miss things.
> 
> Telling people that the way to use google is to type something like:
> 
> http://www.google.com/search?q=cygwin+ssh&btnG=Google+Search
> 
> does not make sense to me.
> 
> Updating the documentation *does* make sense to me.
> 
> Some recent email of mine may have made it sound like I am an inflexible
> bastard.  I regret sending it.
> 
> I'm open to new ideas but I sometimes need to be convinced.  And, even
> when convinced, it does not necessarily follow that I will now make
> it my life's mission to carry out the new ideas.
> 
> I've said that repetition is important, so I'll repeat it one more time:
> If you want to see something change, don't "suggest".  Don't "it seems
> to me".  Don't "It would be nice".
> 
> Please reorient your thinking from "This is what they should do" to
> "This is what I can do".
> 
> If I have dropped the ball on someone volunteering or if I have rudely
> shot down your offer to help then I sincerely apologize.  I know that
> my attempts at humor have sometimes been interpreted as rudeness.  I
> know that sometimes I get impatient with ignorance (you can ask my
> family about this trait), especially intractable ignorance.
> 
> Regardless, I have no real excuse.  I am sometimes exasperated and mean.
> I hope that it is clear that I am doing what I'm doing because I want to
> help.  In some cases, I'm even doing things that I come close to
> detesting, like maintaining gcc or make.  I do this because I know that
> it is important to people even though it is really not my specialty.
> 
> And, I also enjoy running a project like Cygwin.  I think that the net
> release of Cygwin has improved dramatically in the last couple of years.
> That is because I've lobbied for changes inside of Red Hat and solicited
> active maintainers outside of Red Hat.  And, I've encouraged the
> development of the cygwin installer.
> 
> There is still lots and lots and lots^10 of room for improvement.  I
> would like to improve the documentation.  I would really like to expand
> the cygwin test suite.  There are still problems with cygwin signals
> and the cygwin spawn command.  setup.exe could stand all sorts of
> improvement.
> 
> I actually have a tendency to just see all of the negatives in cygwin.
> I have to keep reminding myself that people are using it successfully
> every day.  Most of them don't care that zip stores full MS-DOS paths
> or that spawn(_P_NOWAIT) doesn't work on non-cygwin programs.
> 
> Anyway, if someone has volunteered and I have dropped the ball, please
> ping me again.  I'll try to rectify my mistake in not acting on your
> offer.
> 
> If someone has suggested an idea and didn't appreciate my response,
> then I also apologize.  I'll try to do better in the future.
> 
> (Although, I will probably still try to be "humorous" from time to
> time.  Be warned.)
> 
> cgf
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/